Package org.springframework.batch.core.listener

# Class MethodInvokerMethodInterceptor

java.lang.Object
org.springframework.batch.core.listener.MethodInvokerMethodInterceptor

All Implemented Interfaces:
  `org.aopalliance.aop.Advice`, `org.aopalliance.intercept.Interceptor`, `org.aopalliance.intercept.MethodInterceptor`

public class MethodInvokerMethodInterceptor extends Object implements org.aopalliance.intercept.MethodInterceptor
`MethodInterceptor` that, given a map of method names and `MethodInvoker`s, will execute all methods tied to a particular method name, with the provided arguments. The only possible return value that is handled is of type ExitStatus, since the only StepListener implementation that isn't void is `StepExecutionListener.afterStep(org.springframework.batch.core.StepExecution)` , which returns ExitStatus.

Since:
  2.0
Author:
  Lucas Ward
See Also:
  - `MethodInvoker`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodInvokerMethodInterceptor(Map<String,Set<MethodInvoker>> invokerMap)`
  `MethodInvokerMethodInterceptor(Map<String,Set<MethodInvoker>> invokerMap, boolean ordered)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `int`
  `hashCode()`
  `Object`
  `invoke(org.aopalliance.intercept.MethodInvocation invocation)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MethodInvokerMethodInterceptor

    public MethodInvokerMethodInterceptor(Map<String,Set<MethodInvoker>> invokerMap)

  - ### MethodInvokerMethodInterceptor

    public MethodInvokerMethodInterceptor(Map<String,Set<MethodInvoker>> invokerMap, boolean ordered)

- ## Method Details

  - ### invoke

    public Object invoke(org.aopalliance.intercept.MethodInvocation invocation) throws Throwable
    Specified by:
      `invoke` in interface `org.aopalliance.intercept.MethodInterceptor`
    Throws:
      `Throwable`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`